set   autoscale                        # scale axes automatically
unset log                              # remove any log-scaling
unset label                            # remove any previous labels
set key inside bottom right
set xtic (1,2,4,8,16)
set ytic auto                          # set ytics automatically
set datafile separator ','
set title "Mergesort: Scaling (logarithm comparison)"
set ylabel "Speedup"
set xlabel "Number of threads"
set xr [*:*]
set yr [*:*]
plot "./output/PDF_mergesort_speedup_log.csv" using 2:11 title 'PDF sorting' with linespoints lt 1 pt 1, \
     "./output/PDF_mergesort_speedup_log.csv" using 2:12 title 'PDF merging' with linespoints lt 1 pt 2, \
     "./output/PDF_mergesort_speedup_log.csv" using 2:13 title 'PDF total' with linespoints lt 1 pt 3, \
     "./output/WS_mergesort_speedup_log.csv" using 2:11 title 'WS sorting' with linespoints lt 4 pt 1, \
     "./output/WS_mergesort_speedup_log.csv" using 2:12 title 'WS merging' with linespoints lt 4 pt 2, \
     "./output/WS_mergesort_speedup_log.csv" using 2:13 title 'WS total' with linespoints lt 4 pt 3
