#! /bin/bash

#--------------
# gnuplot script
# arguments are:
#  -t terminal type
#  -o filename of generated plot
#  -i filename gnuplot script
#--------------

while getopts "t:o:i:" opt; do
    case $opt  in
	t)
	    terminal=$OPTARG
	    ;;
	o)
	    outname=$OPTARG
	    ;;
	i)
	    inname=$OPTARG
	    ;;
    esac
done

echo "set terminal $terminal"
echo "set output '$outname'"
echo "load '$inname'"