set autoscale                          # scale axes automatically
set log x 2                            # remove any log-scaling
unset label                            # remove any previous labels
set key top right inside
set xtic auto
set ytic auto                          # set ytics automatically
#set format x "$2^{%L}$"
set format x "2^%L"
set datafile separator ','
set title "Mergesort: Granularity Speedup"
#set ylabel "\begin{sideways}Speedup\end{sideways}"
set ylabel "Speedup"
set xlabel "Number of runs"
set xr [*:*]
set yr [*:*]
plot "./output/PDF_mergesort_fanout.csv" using 4:10 title 'PDF' with linespoints lt 1 pt 1 , \
     "./output/WS_mergesort_fanout.csv" using 4:10 title 'WS' with linespoints lt 1 pt 3
