set   autoscale                        # scale axes automatically
unset log                              # remove any log-scaling
unset label                            # remove any previous labels
set key bottom right inside
set xtic (1,2,4,8,16)
set ytic auto                          # set ytics automatically
set datafile separator ','
set title "Quicksort: Speedup (logarithm comparison)"
set ylabel "Speedup"
set xlabel "Number of threads"
set xr [*:*]
set yr [*:*]
plot "./output/PDF_quicksort_speedup_log.csv" using 2:9 title 'PDF scheduler' with linespoints ls 1 pt 1, \
     "./output/WS_quicksort_speedup_log.csv" using 2:9 title 'WS scheduler' with linespoints ls 1 pt 3
